Bug 2018062 - QEMU Guest agent installation needs to be added to the migration flow
Summary: QEMU Guest agent installation needs to be added to the migration flow
Keywords:
Status: NEW
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: General
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 2.4.0
Assignee: Fabien Dupont
QA Contact: Ilanit Stein
Avital Pinnick
URL:
Whiteboard:
Depends On: 2028764
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-28 06:52 UTC by Ilanit Stein
Modified: 2021-12-03 08:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Ilanit Stein 2021-10-28 06:52:41 UTC
Description of problem:
MTV is missing qemu guest agent install, in case it is not already installed on the source VM.

Version-Release number of selected component (if applicable):
All MTV version released so far (MTV-2.0->MTV-2.2)

Comment 1 Richard W.M. Jones 2021-10-29 20:34:18 UTC
Ilanit, either this bug needs to be changed to virt-v2v, or we will
need another bug for virt-v2v to fix this.  (This is assuming we
do the easiest thing which is "yum install qemu-guest-agent" which
I think we should).

Comment 2 Fabien Dupont 2021-11-02 10:17:07 UTC
We currently install the package in the container image, but it doesn't really make sense, because this will only put the package files in the container image, without the .rpm file.
Instead, should we use "yum download qemu-guest-agent" and put the .rpm file in a specific location?

Comment 3 Richard W.M. Jones 2021-11-02 10:25:37 UTC
At the moment virt-v2v looks for any RPMs in the virtio-win ISO under
/linux/el<N> (eg /linux/el8 for RHEL 8 guest) and installs those.  So
if you don't want to change virt-v2v, you need to arrange to put RPMs there.
However that was apparently difficult.

So what I'm suggesting instead is that we change virt-v2v so it does
yum install qemu-guest-agent as part of the conversion process (or
maybe as a firstboot step).  We'll need a BZ assigned to RHEL / virt-v2v
in order to do this.

Comment 4 Fabien Dupont 2021-12-03 08:50:49 UTC
Thanks Rich. I've opened https://bugzilla.redhat.com/show_bug.cgi?id=2028764 to track this in RHEL / virt-v2v.


Note You need to log in before you can comment on or make changes to this bug.